commit:     403bdf370a5ad0b2d2b470583e976898f71574d2
Author:     Steffen Winter <steffen.winter <AT> proton <DOT> me>
AuthorDate: Tue Oct 15 10:37:03 2024 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Tue Oct 15 10:37:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=403bdf37

dev-cpp/fast_float: add 6.1.6

Signed-off-by: Steffen Winter <steffen.winter <AT> proton.me>

 dev-cpp/fast_float/Manifest                |  1 +
 dev-cpp/fast_float/fast_float-6.1.6.ebuild | 32 ++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-cpp/fast_float/Manifest b/dev-cpp/fast_float/Manifest
index e2964ce4d..aa4c020f9 100644
--- a/dev-cpp/fast_float/Manifest
+++ b/dev-cpp/fast_float/Manifest
@@ -1 +1,2 @@
 DIST fast_float-6.1.5.tar.gz 101708 BLAKE2B 
7d1b85dc01ab46c2e69c3920ed5b0fcda169607181bc5ac96b92fe4cfae99b3252de7d05885726549ad238caa5e33c1fa15c352f89812b9dbce215803b42563d
 SHA512 
fb73c9f45cecc4fd318d2610a0e0cc58084cb494e32475ce129e742f41e1e02f5ed8f2fb2270b020c42bc4301267a49693ef731c8f08b1772fb1a78fd62099b8
+DIST fast_float-6.1.6.tar.gz 101727 BLAKE2B 
eb9833f7bff6e6086db1525fcc71231c5cc8f47985aa4c71078d896afb5fea20c41bfdb55de6c1e8c9cfa6c9b842331f340115590683e1d9e6a3ba40f4148870
 SHA512 
d2dbd2537f433329a76539c061238af080125526b7822fbfdf0f70ac0a6800114848b9be0fdf9c51dbb22211af3bdcf9829ed9cc4a47fd28ecdeecf7c5d4b663

diff --git a/dev-cpp/fast_float/fast_float-6.1.6.ebuild 
b/dev-cpp/fast_float/fast_float-6.1.6.ebuild
new file mode 100644
index 000000000..c3fa3bd78
--- /dev/null
+++ b/dev-cpp/fast_float/fast_float-6.1.6.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Fast and exact implementation of the C++ from_chars functions for 
number types"
+HOMEPAGE="https://github.com/fastfloat/fast_float";
+SRC_URI="https://github.com/fastfloat/fast_float/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 Boost-1.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+BDEPEND="test? ( dev-cpp/doctest )"
+
+RESTRICT="!test? ( test )"
+
+src_configure() {
+       local mycmakeargs=( -DFASTFLOAT_TEST=$(usex test ON OFF) )
+       use test && mycmakeargs+=(
+               -DSYSTEM_DOCTEST=ON
+               # Unconditionally calls FetchContent
+               -DFASTFLOAT_SUPPLEMENTAL_TESTS=OFF
+       )
+
+       sed -i 's/-Werror//' tests/CMakeLists.txt || die
+
+       cmake_src_configure
+}

Reply via email to